Unit weberr;
{ WebErr error logfile
  (C)2001 by gerd@dg4fac.de Version 0.6
  created 15.04.2001 for fpk-Pascal under
  SuSe-Linux 7.1, last change 15.04.2001
}

Interface

Var
  sWebErrFileName:String;

Procedure WebErrOpen;
Procedure WebErrOut(sf,s:String);
Procedure WebErrClose;

Implementation

Uses Crt,SysUtils;

Var
  fe:Text;

Procedure WebErrOpen;
Begin
Write('Errorlog ',sWebErrFileName,' ... ');
Assign(fe,sWebErrFileName);
If FileExists(sWebErrFileName) Then
  Append(fe) Else
  ReWrite(fe);
Writeln(fe,'**** Starting session ',DateTimeToStr(Now),' ****');
Writeln('ok.');
End;

Procedure WebErrOut(sf,s:String);
Begin
If sf='' Then
  Writeln(fe,TimeToStr(Now),': ',s,'!') Else
  Begin
  Writeln(fe,TimeToStr(Now),': Error in file ',sf,'!');
  Writeln(fe,'        ',s,'!');
  End;
End;

Procedure WebErrClose;
Begin
Write('Errorlog ',sWebErrFileName,' ... ');
Writeln(fe,'***** Ending session ',DateTimeToStr(Now),' *****');
Writeln(fe);
Close(fe);
Writeln('ok.');
End;

Begin
sWebErrFileName:='weberrors.txt';
ShortDateFormat:='yyyymmdd -';
ShortTimeFormat:='hhnnss';
End.
