{ WebLox unit for unknown browsers and op-systems
  (C)2000/2001 by gerd@dg4fac.de Version 0.8
  created 11.11.2000 for fpk-Pascal under
  SuSe-Linux 7.0, last change 05.01.2002
}
Unit webua;

Interface
Var
  sBrowserName,sOpSysName:String;

Procedure ReadBrowsers;
Procedure ReadOpSys;
Function GetBrowserType(Var s:String):String;
Procedure WriteUnknownBrowsersOpSys;

Implementation

Uses weblist,webstring;

Var
  s:String;
  List:TList;

Procedure WriteUnknownBrowsersOpSys;
Var fE:Text;
  k,l:LongInt;
Begin
Write(ws[igrpws[msgGroup].ia+36],' ',sBrowserName,'.unknown ... ');
l:=ListGetList(ListBrowserU).Itemcount;
ListSort(ListBrowserU,SortByNumber);
Assign(fE,sBrowserName+'.unknown');
ReWrite(fE);
Writeln(fE,'List of unknown browsers');
For k:=1 To l Do
  If ListGetElement(ListBrowserU,k) Then Writeln(fE,x.n,': ',x.s);
Close(fE);
Writeln(l,ws[igrpws[msgGroup].ia+12]);
Write(ws[igrpws[msgGroup].ia+37],' ',sOpSysName,'.unknown ... ');
ListSort(ListOpSysU,SortByNumber);
l:=ListGetList(ListOpSysU).Itemcount;
Assign(fE,sOpSysName+'.unknown');
ReWrite(fE);
Writeln(fE,'List of unknown operating systems');
For k:=1 To l Do
  If ListGetElement(ListOpSysU,k) Then Writeln(fE,x.n,': ',x.s);
Close(fE);
Writeln(l,ws[igrpws[msgGroup].ia+12]);
End;

Function GetBrowserType(Var s:String):String;
Var k,l:LongInt;
Begin
If (Length(s)<20) And (Pos('(',s)<1) Then
  GetBrowserType:=s Else
  Begin
  k:=1;
  l:=Length(s);
  While (k<=l) And (s[k]<>' ') And (s[k]<>'(') Do Inc(k);
  GetBrowserType:=Copy(s,1,k-1);
  End;
End;

Procedure ReadBrowsers;
Var f:Text;
Begin
x.n:=0;
x.nb:=0;
x.nt:=0;
x.nv:=0;
Write(ws[igrpws[msgGroup].ia+38],' ');
Assign(f,sBrowserName);
Reset(f);
While Not Eof(f) Do
  Begin
  Readln(f,s);
  If (s<>'') And (s[1]<>'/') And (s[1]<>'*') Then
    Begin
    x.s:=s;
    ListAddNew(ListBrowser);
    End;
  End;
Close(f);
List:=ListGetList(ListBrowser);
Writeln(List.ItemCount,ws[igrpws[msgGroup].ia+12]);
End;

Procedure ReadOpSys;
Var f:Text;
Begin
x.n:=0;
x.nb:=0;
x.nt:=0;
x.nv:=0;
Write(ws[igrpws[msgGroup].ia+39],' ');
Assign(f,sOpSysName);
Reset(f);
While Not Eof(f) Do
  Begin
  Readln(f,s);
  If (s<>'') And (s[1]<>'/') And (s[1]<>'*') Then
    Begin
    x.s:=s;
    ListAddNew(ListOpSys);
    End;
  End;
Close(f);
List:=ListGetList(ListOpSys);
Writeln(List.ItemCount,ws[igrpws[msgGroup].ia+12]);
End;

Begin
End.
